#!../../bin/linux-x86/Agilent6613C

##############################################################################
## Set PV prefix and device parameters
epicsEnvSet("P","$(P=chk:)")
epicsEnvSet("A","$(A=5)")
epicsEnvSet("E","164.54.49.55")

< envPaths

##############################################################################
## Register all support components
cd ${TOP}
dbLoadDatabase("dbd/Agilent6613C.dbd",0,0)
Agilent6613C_registerRecordDeviceDriver(pdbbase)

##############################################################################
## Configure hardware
vxi11Configure("L0","$(E)",0,0.0,"gpib0",0,0)
#asynSetTraceMask("L0",$(A),0x9)
#asynSetTraceIOMask("L0",$(A),0x2)
#asynSetTraceMask("L0",-1,0x1F)
#asynSetTraceIOMask("L0",-1,0x2)

##############################################################################
## Load record instances
cd ${TOP}
dbLoadRecords("db/asynRecord.db","P=$(P),R=6613:,PORT=L0,ADDR=$(A),IMAX=0,OMAX=0")
dbLoadRecords("db/devAgilent6613C.db","P=$(P),R=6613:,L=0,A=$(A)")

##############################################################################
## Start EPICS
cd ${TOP}/iocBoot/${IOC}
iocInit()

epicsThreadSleep(1.0)
dbpf("$(P)6613:IDN.PROC",1)
epicsThreadSleep(0.2)
dbpr("$(P)6613:IDN")
